M_fish_scheme = {}

function M_fish_scheme:getData(key)
	if self.datas == nil then
		return nil
	end
	return self.datas[key]
end

function M_fish_scheme:init()
	self.datas = {}
	self.datas[1001] = {ID = 1001, monster_id = 1001, fish_group = 1, num = 200}
	self.datas[1002] = {ID = 1002, monster_id = 1002, fish_group = 1, num = 10}
	self.datas[1003] = {ID = 1003, monster_id = 1001, fish_group = 2, num = 200}
	self.datas[1004] = {ID = 1004, monster_id = 1002, fish_group = 2, num = 10}
	self.datas[1005] = {ID = 1005, monster_id = 1001, fish_group = 3, num = 200}
	self.datas[1006] = {ID = 1006, monster_id = 1002, fish_group = 3, num = 10}
	self.datas[1007] = {ID = 1007, monster_id = 1001, fish_group = 4, num = 200}
	self.datas[1008] = {ID = 1008, monster_id = 1002, fish_group = 4, num = 10}
	self.datas[1009] = {ID = 1009, monster_id = 1001, fish_group = 5, num = 200}
	self.datas[1010] = {ID = 1010, monster_id = 1002, fish_group = 5, num = 10}
	self.datas[1011] = {ID = 1011, monster_id = 1001, fish_group = 6, num = 200}
	self.datas[1012] = {ID = 1012, monster_id = 1002, fish_group = 6, num = 10}
	self.datas[1013] = {ID = 1013, monster_id = 1001, fish_group = 7, num = 200}
	self.datas[1014] = {ID = 1014, monster_id = 1002, fish_group = 7, num = 10}
	self.datas[1015] = {ID = 1015, monster_id = 1001, fish_group = 8, num = 200}
	self.datas[1016] = {ID = 1016, monster_id = 1002, fish_group = 8, num = 10}
end

M_fish_scheme:init()
